Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.jini.security
Interface ProxyPreparer

All Known Implementing Classes:
  BasicProxyPreparer

public interface ProxyPreparer

Performs operations on a newly unmarshalled remote proxy to prepare it for use. Typical operations include verifying trust in the proxy by calling `Security.verifyObjectTrust`, specifying constraints by calling `RemoteMethodControl.setConstraints`, and granting the proxy permissions by calling `Security.grant`.

Applications are expected to use instances of this class retrieved from a `Configuration` to prepare all remote proxies that they receive in order to permit configuring how applications handle proxies.

Since:
  2.0

Method Summary
`Object` | `prepareProxy(Object proxy)` Performs operations on a newly unmarshalled proxy to prepare it for use, returning the prepared proxy, which may or may not be the argument itself.

Method Detail

### prepareProxy

    public Object prepareProxy(Object proxy)
                        throws RemoteException

  Performs operations on a newly unmarshalled proxy to prepare it for use, returning the prepared proxy, which may or may not be the argument itself.

  Typical operations performed by this method include verifying trust in the proxy by calling `Security.verifyObjectTrust`, specifying constraints by calling `RemoteMethodControl.setConstraints`, and granting the proxy permissions by calling `Security.grant`.

  Parameters:
    `proxy` - the proxy to prepare
  Returns:
    the prepared proxy
  Throws:
    `NullPointerException` - if the proxy is `null`
    `RemoteException` - if a communication-related exception occurs
    `SecurityException` - if a security exception occurs

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Sun Microsystems, Inc. All rights reserved